如何安装 libappmenu-gtk2-parser-dev Debian 11

在本教程中,我们学习如何安装 libappmenu-gtk2-parser-dev Debian 11. libappmenu-gtk2-parser-dev 是 GtkMenuShell 到 GMenuModel 解析器(GTK+2.0 开发文件)

介绍

在本教程中我们学习如何安装 libappmenu-gtk2-parser-dev 在 Debian 11.

libappmenu-gtk2-parser-dev 是:

GTK+ 模块,用于将旧式菜单导出为 GMenuModel。

许多应用程序将菜单实现为 ​​GtkMenuShells 和 GtkMenuItems,并且不打算迁移到较新的 GMenuModel API。

AppMenu GTK+ 模块监视这些类型的菜单并导出适当的 GMenuModel 实现。

该软件包包含 GTK+ 2 pkg-config 文件和 libappmenu-gtk2-parser0 的库头文件。

有三种安装方法 libappmenu-gtk2-parser-dev 在 Debian 11.我们可以使用 apt-get, aptaptitude。 在以下部分中,我们将描述每种方法。 您可以选择其中之一。

更新 apt 数据库 apt-get 使用以下命令。

更新apt数据库后,我们可以安装 libappmenu-gtk2-parser-dev 使用 apt-get 通过运行以下命令:

sudo apt-get -y install libappmenu-gtk2-parser-dev

更新 apt 数据库 apt 使用以下命令。

更新apt数据库后,我们可以安装 libappmenu-gtk2-parser-dev 使用 apt 通过运行以下命令:

sudo apt -y install libappmenu-gtk2-parser-dev

如果您想遵循此方法,您可能需要先安装 aptitude,因为 aptitude 通常不会默认安装 Debian。 更新 apt 数据库 aptitude 使用以下命令。

更新apt数据库后,我们可以安装 libappmenu-gtk2-parser-dev 使用 aptitude 通过运行以下命令:

sudo aptitude -y install libappmenu-gtk2-parser-dev

仅卸载 libappmenu-gtk2-parser-dev 打包我们可以使用以下命令:

sudo apt-get remove libappmenu-gtk2-parser-dev

卸载 libappmenu-gtk2-parser-dev 及其依赖项

卸载 libappmenu-gtk2-parser-dev 及其不再需要的依赖项 Debian 11、我们可以使用下面的命令:

sudo apt-get -y autoremove libappmenu-gtk2-parser-dev

删除 libappmenu-gtk2-parser-dev 配置和数据

去除 libappmenu-gtk2-parser-dev 配置和数据来自 Debian 11.我们可以使用如下命令:

sudo apt-get -y purge libappmenu-gtk2-parser-dev

删除 libappmenu-gtk2-parser-dev 配置、数据及其所有依赖项

我们可以使用下面的命令来删除 libappmenu-gtk2-parser-dev 配置、数据及其所有依赖项,我们可以使用以下命令:

sudo apt-get -y autoremove --purge libappmenu-gtk2-parser-dev

依赖关系

libappmenu-gtk2-parser-dev 具有以下依赖项:

参考

概括

在本教程中我们学习如何安装 libappmenu-gtk2-parser-dev 封装在 Debian 11.使用不同的包管理工具: apt, apt-getaptitude